Subject: Re: Why doesn't git commit -a track new files

From: Marco <[email-masked]>
Date: Thu, 24 Feb 2011 17:47:40 +0100

On 2011-02-24 Michael J Gruber <[email-masked]> wrote:

> > git status && behappy && git commit -A
> 
> That may not give the full picture of untracked stuff in subdirs.

May I ask why not? AFAIK git status outputs staged and untracked stuff.

> > git commit -A && look at status $EDITOR && behapy && save
> 
> Yes, I even mentioned that, but you cut it. Bad bad boy! ;)
> 
> >> Also, "-A" supports a very "un-gitty" way of using git. This makes it
> >> unlikely that someone cares to implement it...

I think it *can* be used in an appropriate manner.
BTW: Why isn't commit -a »un-gitty«?

Marco